Inn 2.4.0 on Sun E450 - 'tradspool: could not mmap article' errors - SUN

This is a discussion on Inn 2.4.0 on Sun E450 - 'tradspool: could not mmap article' errors - SUN ; Since a disk crash some time back on my system that runs a local news server, innxmit is logging lots of 'tradpool: could not mmap article' errors and I'm not sure what's going on. The /news/spool partition did have to ...

+ Reply to Thread
Results 1 to 7 of 7

Thread: Inn 2.4.0 on Sun E450 - 'tradspool: could not mmap article' errors

  1. Inn 2.4.0 on Sun E450 - 'tradspool: could not mmap article' errors

    Since a disk crash some time back on my system that runs a local news
    server, innxmit is logging lots of 'tradpool: could not mmap article' errors
    and I'm not sure what's going on. The /news/spool partition did have to be
    fully-recovered at one point but everything appeared to have restored ok,
    except for the 'could not mmap article' errors that have been occuring since
    the restoration/recovery.

    I fully-rebuilt the history database in case that had something to do with
    it, but it doesn't appear to have changed anything.

    Apart from the 'you are running an old version of inn' comments (trying to
    built later versions is giving some strange problems when linking one of the
    libraries), is there anything well-known and documented that would cause
    innxmit to start emitting the 'could not mmap article' errors, and what do
    they actually mean?

    Thanks,

    Craig.
    --
    SUN RIPENED KERNELS - Surplus Sun Microsystems Equipment, Parts + Accessories
    Location: Sydney, Australia - Web: http://www.sunrk.com.au - Get back on track
    at the SunShack - Web: http://www.sunshack.org - Cobalt Users mailing list
    Web: http://lios.apana.org.au/mailman/listinfo/cobalt_users

  2. Re: Inn 2.4.0 on Sun E450 - 'tradspool: could not mmap article' errors

    On Apr 22, 3:25 am, Kralizec Craig wrote:

    > Apart from the 'you are running an old version of inn' comments (trying to
    > built later versions is giving some strange problems when linking one of the
    > libraries),


    inn-2.4.3 seems to link OK for me using Studio 12 beta.
    The usual cruft you have to deal with using "configure" is all I saw.
    Care to share what that one library is? All I added was openssl
    support.
    Difficult to reproduce an alleged problem when you dont know what it
    is on
    which OS release.




  3. Re: Inn 2.4.0 on Sun E450 - 'tradspool: could not mmap article' errors

    andrew@cucumber.demon.co.uk (Andrew Gabriel) writes:

    >In article ,
    > Kralizec Craig writes:
    >> Since a disk crash some time back on my system that runs a local news
    >> server, innxmit is logging lots of 'tradpool: could not mmap article' errors
    >> and I'm not sure what's going on. The /news/spool partition did have to be
    >> fully-recovered at one point but everything appeared to have restored ok,
    >> except for the 'could not mmap article' errors that have been occuring since
    >> the restoration/recovery.
    >>
    >> I fully-rebuilt the history database in case that had something to do with
    >> it, but it doesn't appear to have changed anything.
    >>
    >> Apart from the 'you are running an old version of inn' comments (trying to
    >> built later versions is giving some strange problems when linking one of the
    >> libraries), is there anything well-known and documented that would cause
    >> innxmit to start emitting the 'could not mmap article' errors, and what do
    >> they actually mean?


    >I think it says why it cannot mmap the article afterwards, which
    >would be useful to know. I wonder if your news spool has got out
    >of sync with the database, so that articles in the database are
    >missing from the news spool?


    That is one of the reasons I decided to rebuild the database using
    'makehistory'. If the database and spool were out of sync, re-building the
    database should have overcome those problems (I rebuilt the news overview
    files as well).

    Craig.
    --
    SUN RIPENED KERNELS - Surplus Sun Microsystems Equipment, Parts + Accessories
    Location: Sydney, Australia - Web: http://www.sunrk.com.au - Get back on track
    at the SunShack - Web: http://www.sunshack.org - Cobalt Users mailing list
    Web: http://lios.apana.org.au/mailman/listinfo/cobalt_users

  4. Re: Inn 2.4.0 on Sun E450 - 'tradspool: could not mmap article' errors

    gerryt writes:

    >On Apr 22, 3:25 am, Kralizec Craig wrote:


    >> Apart from the 'you are running an old version of inn' comments (trying to
    >> built later versions is giving some strange problems when linking one of the
    >> libraries),


    >inn-2.4.3 seems to link OK for me using Studio 12 beta.
    >The usual cruft you have to deal with using "configure" is all I saw.
    >Care to share what that one library is? All I added was openssl
    >support.
    >Difficult to reproduce an alleged problem when you dont know what it
    >is on
    >which OS release.


    My apologies. The server is running Solaris 9 with the HW 9/05 patch update
    applied. I seem to remember that I tried including openssl but had problems
    with it (I usually use packages from sunfreeware.com unless that site
    doesn't have the particular package I'm after - openssl is one of the
    packages I have from there though), perhaps because each of my systems has
    different Solaris setups from the time that I did original installations!
    8-)

    The library giving problems is libstorage. It's failing during the linking
    phase.

    I use the following script to feed arguments to the 'configure' script for
    the inn-2.4.3 source tree:


    sh ./configure --prefix=/news --enable-uucp-rnews --enable-libtool \
    --with-perl --with-python --with-sendmail=/usr/lib/sendmail \
    --with-berkeleydb --with-log-compress=gzip


    I haven't tried compiling 2.4.3 for a few months, so I'll 'distclean' the
    source tree and start from scratch again... Ok running 'make' now, and I've
    saved the compiler output to a file at
    "http://yoda.apana.org.au/~news/makelog" which you can have a look at. I'm
    open to suggestions for how to work around the problem that the compiler
    output is reporting. It's probably simple though. 8-)

    Thanks,

    Craig.




    --
    SUN RIPENED KERNELS - Surplus Sun Microsystems Equipment, Parts + Accessories
    Location: Sydney, Australia - Web: http://www.sunrk.com.au - Get back on track
    at the SunShack - Web: http://www.sunshack.org - Cobalt Users mailing list
    Web: http://lios.apana.org.au/mailman/listinfo/cobalt_users

  5. Re: Inn 2.4.0 on Sun E450 - 'tradspool: could not mmap article' errors

    On 2007-04-23 07:19:10 +0100, Kralizec Craig said:

    > sh ./configure --prefix=/news --enable-uucp-rnews --enable-libtool \
    > --with-perl --with-python --with-sendmail=/usr/lib/sendmail \
    > --with-berkeleydb --with-log-compress=gzip
    >
    >
    > I haven't tried compiling 2.4.3 for a few months, so I'll 'distclean' the
    > source tree and start from scratch again... Ok running 'make' now, and I've
    > saved the compiler output to a file at
    > "http://yoda.apana.org.au/~news/makelog" which you can have a look at. I'm
    > open to suggestions for how to work around the problem that the compiler
    > output is reporting. It's probably simple though. 8-)


    It is looking for libdb, and can't find it. Does the configure script
    not detect this problem?

    Get and install libdb (I assume it wants the Sleepycat version), and
    then re-run inn's configure --with-berkeleydb=/where/you/installed/it
    and rebuild.

    Cheers,

    Chris


  6. Re: Inn 2.4.0 on Sun E450 - 'tradspool: could not mmap article' errors

    On Apr 22, 11:19 pm, Kralizec Craig wrote:
    > gerryt writes:
    > >On Apr 22, 3:25 am, Kralizec Craig wrote:
    > >> Apart from the 'you are running an old version of inn' comments (trying to
    > >> built later versions is giving some strange problems when linking one of the
    > >> libraries),

    > >inn-2.4.3 seems to link OK for me using Studio 12 beta.
    > >The usual cruft you have to deal with using "configure" is all I saw.
    > >Care to share what that one library is? All I added was openssl
    > >support.
    > >Difficult to reproduce an alleged problem when you dont know what it
    > >is on
    > >which OS release.

    > My apologies. The server is running Solaris 9 with the HW 9/05 patch update
    > applied. I seem to remember that I tried including openssl but had problems
    > with it (I usually use packages from sunfreeware.com unless that site
    > doesn't have the particular package I'm after - openssl is one of the
    > packages I have from there though), perhaps because each of my systems has
    > different Solaris setups from the time that I did original installations!
    > 8-)
    > The library giving problems is libstorage. It's failing during the linking
    > phase.
    > I use the following script to feed arguments to the 'configure' script for
    > the inn-2.4.3 source tree:
    >
    > sh ./configure --prefix=/news --enable-uucp-rnews --enable-libtool \
    > --with-perl --with-python --with-sendmail=/usr/lib/sendmail \
    > --with-berkeleydb --with-log-compress=gzip


    Some of these are defaults and dont need to be specified.

    > I haven't tried compiling 2.4.3 for a few months, so I'll 'distclean' the
    > source tree and start from scratch again... Ok running 'make' now, and I've
    > saved the compiler output to a file at
    > "http://yoda.apana.org.au/~news/makelog" which you can have a look at. I'm
    > open to suggestions for how to work around the problem that the compiler
    > output is reporting. It's probably simple though. 8-)


    Somewhat. I wouldnt use gcc unless you HAVE to as Studio 11 is a free
    download.
    In this case you dont have to. If you set CC=cc you wont need that
    wretched libtool : >

    I never use sunfreeware stuff if the same/similar package is available
    at Blastwave.org... Help yourself out there : > I say this because you
    are using Solaris 9
    which I dont THINK has openssl installed in /usr/sfw Id have to check.
    Sol9 is so OLD.
    I mean if you dont want to compile the stuff yourself. openssl might
    be a good candidate.

    Really I think you should just upgrade to 10 u3 with patches.

    Another poster noticed this line:
    ld: fatal: library -ldb: not found

    Just set LD_RUN_PATH and maybe LDFLAGS during the configure phase so
    libdb can be found
    and linked later...

    G


  7. Re: Inn 2.4.0 on Sun E450 - 'tradspool: could not mmap article' errors

    In news.software.nntp, Kralizec Craig writes:

    > The library giving problems is libstorage. It's failing during the linking
    > phase.


    > I use the following script to feed arguments to the 'configure' script for
    > the inn-2.4.3 source tree:


    > sh ./configure --prefix=/news --enable-uucp-rnews --enable-libtool \
    > --with-perl --with-python --with-sendmail=/usr/lib/sendmail \
    > --with-berkeleydb --with-log-compress=gzip


    Do you actually *want* to use ovdb or were you just being thorough? If
    you're planning on using tradindexed, don't specify --with-berkeleydb, and
    then you don't have to debug why it can't find BerkeleyDB on your system.

    --
    Russ Allbery (rra@stanford.edu)

    Please post questions rather than mailing me directly.
    explains why.

+ Reply to Thread